Bug 6833 - Notifications Rewrite
Summary: Notifications Rewrite
Status: RESOLVED WISHLIST
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Henri-Damien LAURENT
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-01 21:15 UTC by Elliott Davis
Modified: 2013-08-12 16:46 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Script to send out overdues on a frequency until we get notices fixed (3.94 KB, application/octet-stream)
2011-10-13 18:30 UTC, Elliott Davis
Details
Equivalent script to Eliot one (6.31 KB, patch)
2011-10-13 19:04 UTC, Frédéric Demians
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Elliott Davis 2011-10-13 18:30:50 UTC
Created attachment 5878 [details]
Script to send out overdues on a frequency until we get notices fixed

I wrote this script to work in the cron so you can run overdues as often as you want.  Please change the From and Bcc lines in the sendmail hash so I don't get copies of your emails.  If you want to run fines in conjunction with overdues add the -f flag.  Please note this was written for my library so it may not fit your specific needs.  Feel free to modify it as you see fit or message me with any questions.
Comment 2 Frédéric Demians 2011-10-13 19:04:44 UTC
Created attachment 5880 [details] [review]
Equivalent script to Eliot one

This script uses standard Koha email queue. In the script itself, there
is a claim policy, defined as rules combining branch, item type, number
of days late, and notification code.
Comment 3 MJ Ray (software.coop) 2012-02-16 11:35:17 UTC
Hi Elliott. How's the notifications work going and should this bug be assigned to you rather than hdl?
Comment 4 Galen Charlton 2013-08-12 16:46:25 UTC
As it is approaching nearly two years since the bug was opened with no sign that the notifications RFC is being worked on, setting to RESOLVED/WISHLIST.